Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter
Class ProxyAuthenticator

    java.lang.Object
      java.net.Authenticator
          org.apache.jmeter.ProxyAuthenticator

    public class ProxyAuthenticator

extends Authenticator

Provides JMeter the ability to use proxy servers that require username and password.

Version:
  $Revision: 937726 $

Nested Class Summary

Nested classes/interfaces inherited from class java.net.Authenticator
`Authenticator.RequestorType`

Constructor Summary
`ProxyAuthenticator(String userName, String password)` Create a ProxyAuthenticator with the specified username and password.

Method Summary
`protected PasswordAuthentication` | `getPasswordAuthentication()` Return a PasswordAuthentication instance using the userName and password specified in the constructor.

Methods inherited from class java.net.Authenticator
`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyAuthenticator

    public ProxyAuthenticator(String userName,
                              String password)

  Create a ProxyAuthenticator with the specified username and password.

  Parameters:
    `userName` - the username to authenticate with
    `password` - the password to authenticate with

Method Detail

### getPasswordAuthentication

    protected PasswordAuthentication getPasswordAuthentication()

  Return a PasswordAuthentication instance using the userName and password specified in the constructor. Only applies to PROXY request types.

  Overrides:
    `getPasswordAuthentication` in class `Authenticator`
  Returns:
    a PasswordAuthentication instance to use for authenticating with the proxy

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.